rte_crypto_ml_dsa_xform(3)

NAME
rte_crypto_ml_dsa_xform

SYNOPSIS

#include <rte_crypto_asym.h>

  Data Fields

enum rte_crypto_ml_dsa_type type
bool sign_deterministic
bool sign_prehash

Detailed Description

PQC ML-DSA transform data

Structure describing ML-DSA xform parameters

Definition at line 945 of file rte_crypto_asym.h.

Field Documentation

  enum rte_crypto_ml_dsa_type type
ML-DSA xform type

Definition at line 946 of file rte_crypto_asym.h.

  bool sign_deterministic
The signature generated using deterministic method.

Definition at line 949 of file rte_crypto_asym.h.

  bool sign_prehash
The signature generated using prehash or pure routine.

Definition at line 952 of file rte_crypto_asym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.